#
Summary: This will configure the cups deamon to not browse the network. 
Name: zz_cups_nobrowse
Version: 1.0
Release: 1
Copyright: GPL
Group: Fermi
URL: http://www.fnal.gov/cd/UNIX/linux/
Distribution: Fermi Linux v7.3.1
Vendor: Fermilab
Packager: Troy Dawson
requires: cups
%description

By default the cups deamon continually browses the network looking and
checking on printers.  This turns that feature off.

%files
%post
#
# This modifies /etc/cups/cupsd.conf to turn browsing off
#
cat /etc/cups/cupsd.conf | sed "s:Browse On:Browse Off:" > /etc/cups/cupsd.conf.tmp
mv -f /etc/cups/cupsd.conf.tmp /etc/cups/cupsd.conf
/etc/init.d/cups condrestart

%postun
if [ "$1" = "0" ] ; then
	#
	# This modifies /etc/cups/cupsd.conf to turn browsing on
	#
	cat /etc/cups/cupsd.conf | sed "s:Browse Off:Browse On:" > /etc/cups/cupsd.conf.tmp
	mv -f /etc/cups/cupsd.conf.tmp /etc/cups/cupsd.conf
	/etc/init.d/cups condrestart
fi
